VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Typedefs
ivstdataexchange.h File Reference
`#include "pluginterfaces/base/funknown.h"`
`#include "pluginterfaces/base/falignpush.h"`
`#include "pluginterfaces/base/falignpop.h"`

## Classes
struct | DataExchangeBlock
class | IDataExchangeHandler
| Host Data Exchange handler interface: Vst::IDataExchangeHandler. More...
class | IDataExchangeReceiver
| Data Exchange Receiver interface: Vst::IDataExchangeReceiver. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
| All VST specific interfaces are located in Vst namespace.

## Typedefs
typedef uint32 | DataExchangeQueueID
typedef uint32 | DataExchangeBlockID
typedef uint32 | DataExchangeUserContextID

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.